## uicilibris 1.4

=== Makefile ===
DESTDIR =
SOURCES = $(ls uicilibris/*.py uicilibris/uicilibris config.dox)

all:
	make -C uicilibris $@

uicilibris.1: manpage.xml
	xsltproc --nonet \
          --param man.charmap.use.subset "0" \
          --param make.year.ranges "1" \
          --param make.single.year.ranges "1" \
          /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
          $<
clean:
	rm -f *~
	rm -rf doc/*
	make -C uicilibris $@

doc: force
	$(MAKE) doc/html/index.html 

doc/html/index.html: $(SOURCES)
	doxygen config.dox

install:
	install -d $(DESTDIR)/usr/share/
	cp -a uicilibris $(DESTDIR)/usr/share/
	cp -a guide $(DESTDIR)/usr/share/uicilibris
	install -d $(DESTDIR)/usr/share/uicilibris/lang
	install -m 644 uicilibris/lang/*.qm $(DESTDIR)/usr/share/uicilibris/lang
	[ -f "guide/Poor_man_s_user_guide_for_UICI_LIBRIS.html" ] && \
	  ln -s "Poor_man_s_user_guide_for_UICI_LIBRIS.html" $(DESTDIR)/usr/share/uicilibris/guide/index.html
	rm -f $(DESTDIR)/usr/share/uicilibris/images/COPYING
	install -d $(DESTDIR)/usr/bin
	echo '#!/bin/sh' > $(DESTDIR)/usr/bin/uicilibris
	echo 'cd /usr/share/uicilibris; exec uicilibris' >> $(DESTDIR)/usr/bin/uicilibris
	chmod +x $(DESTDIR)/usr/bin/uicilibris


.PHONY: all clean doc install force

=== debian/changelog ===
uicilibris (1.4-6) unstable; urgency=low

  * added a test for the .aux file: it must exist before the last run of
    pdflatex

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 11 Nov 2011 23:01:21 +0100

uicilibris (1.4-5) unstable; urgency=low

  * added dependencies for python-qt4, and texlive packages.

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 13 Oct 2011 01:10:48 +0200

uicilibris (1.4-4) unstable; urgency=low

  * improved the parsing of http links when they have anchors
  * implemented a way to format table columns in latex books
  * fixed one bug with comments badly interpreted when ending a wiki page

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 02 Oct 2011 19:02:23 +0200

uicilibris (1.4-3) unstable; urgency=low

  * finished the implementation of the style article
  * fixed a bug in the shell script 'uicilibris'
  * added dependencies on pyqt4-dev-tools, qt4-linguist-tools; 
    Closes: #640681

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 06 Sep 2011 22:29:11 +0200

uicilibris (1.4-2) unstable; urgency=low

  * restored the support of the old wiki2beamer, added a support for
    style=article. The three available styles are now: book, article, beamer
  * fixed the question of joining lines for old wiki2beamer mode

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 29 Aug 2011 23:16:49 +0200

uicilibris (1.4-1) unstable; urgency=low

  * added i18n support and a French l10n

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 29 Aug 2011 14:45:13 +0200

uicilibris (1.3-2) unstable; urgency=low

  * fixed the public version number (for "about" dialog)

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 29 Aug 2011 00:37:16 +0200

uicilibris (1.3-1) unstable; urgency=low

  * fixed a bug in the plugin 'figure.py'
  * added a better processing for urls
  * removed the useless plugin 'bang.py'
  * enhanced the management of image sizes in 'figure.py'
  * bumped the version number beacause this is the first version which
    compiles "Expeyes, user manual" without an error.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 29 Aug 2011 00:20:20 +0200

uicilibris (1.2-2) unstable; urgency=low

  * modified the plugin for the template titlePage, which non-defined 'self'
  * improving table stack flushing in case of error

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 29 Aug 2011 00:19:50 +0200

uicilibris (1.2-1) unstable; urgency=low

  * implemented a plugin system for the templates. This will need proper
    documentation for the developers.
  * fixed a bug in the plugin 'figure.py'

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 28 Aug 2011 23:54:57 +0200

uicilibris (1.1-1) unstable; urgency=low

  * added a help file, and a dialog help -> about.
  * First upload. Closes: #639355

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 26 Aug 2011 13:31:48 +0200

uicilibris (1.0-1) unstable; urgency=low

  * Initial package.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 24 Aug 2011 00:04:14 +0200

=== debian/control ===
Source: uicilibris
Section: tex
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 8.0.0), python-all,
 pyqt4-dev-tools, qt4-linguist-tools
Standards-Version: 3.9.2
Homepage: http://georges.khaznadar.fr/uicilibris

Package: uicilibris
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, gnome-terminal,
 texlive, texlive-latex-base, texlive-latex-extra, evince,
 python-beautifulsoup, python-qt4
Description: convert mediawiki contents to a printable book
 Uicilibris is a harvester able to fetch contents from a mediawiki,
 assemble them consistently, export them to LaTeX format, compile
 the source, and deal interactively with errors.

## uicilibris 1.6

=== debian/changelog ===
uicilibris (1.6-1) unstable; urgency=low

  * modified the source to enable wikilibris for mediawikis which
    use URL rewriting. The fundamental URLs are guessed from the internals
    of the first page given.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 09 Dec 2011 17:12:18 +0100

uicilibris (1.5-1) unstable; urgency=low

  * fixed a set of bugs due to BeautifulSoup's misbehaviors

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 30 Nov 2011 20:08:27 +0100

## uicilibris 1.8

=== debian/changelog ===
uicilibris (1.8-1) unstable; urgency=low

  * fixed a bug with the compilation from * to \\item
  * fixed a problem with characters _, % and accented letters in URLs
  * fixed a problem with unicode paragraph breaks
  * simplified some source codes
  * bumped the version number to 1.8

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 17 May 2012 17:56:43 +0000

uicilibris (1.7-5) unstable; urgency=low

  * fixed a bug in the generation of LaTeX title pages

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 17 May 2012 13:31:55 +0000

uicilibris (1.7-4) unstable; urgency=low

  * fixed a bug with the locale

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 13 May 2012 16:46:41 +0000

uicilibris (1.7-3) unstable; urgency=low

  * fixed a bug: loop with downloads until 8 failures occur

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 13 May 2012 16:03:27 +0000

uicilibris (1.7-2) unstable; urgency=low

  * fixed a bug with the caption of images

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 13 May 2012 15:12:44 +0000

uicilibris (1.7-1) unstable; urgency=low

  * fixed a bug for wikilinks which have a colon, often used to create
    namespaces.
  * updated Standards-Version to 3.9.3
  * fixed a handful of bugs : for example, mismanagement of <math></math>;
  * defined the "User Agent" to be declared during downloads as Mozilla

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 20 Apr 2012 23:17:32 +0200

uicilibris (1.6-2) unstable; urgency=low

  * added a feature: exporting to another mediawiki

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 19 Dec 2011 15:43:22 +0100

=== debian/control ===
Source: uicilibris
Section: tex
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 8.0.0), python-all,
 pyqt4-dev-tools, qt4-linguist-tools
Standards-Version: 3.9.3
Homepage: http://georges.khaznadar.fr/uicilibris

Package: uicilibris
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, gnome-terminal,
 texlive, texlive-latex-base, texlive-latex-extra, evince,
 python-beautifulsoup, python-qt4,
 tango-icon-theme, python-multipartposthandler
Description: convert mediawiki contents to a printable book
 Uicilibris is a harvester able to fetch contents from a mediawiki,
 assemble them consistently, export them to LaTeX format, compile
 the source, and deal interactively with errors.

## uicilibris 1.12

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	rm -f $(DESTDIR)/usr/share/uicilibris/images/COPYING
 	install -d $(DESTDIR)/usr/bin
 	echo '#!/bin/sh' > $(DESTDIR)/usr/bin/uicilibris
-	echo 'cd /usr/share/uicilibris; exec uicilibris' >> $(DESTDIR)/usr/bin/uicilibris
+	echo 'cd /usr/share/uicilibris; exec ./uicilibris' >> $(DESTDIR)/usr/bin/uicilibris
 	chmod +x $(DESTDIR)/usr/bin/uicilibris

=== debian/changelog ===
uicilibris (1.12-1) unstable; urgency=low

  * implemented a specific template for ISN:creditphoto

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 03 Jan 2013 23:49:16 +0100

uicilibris (1.11-1) unstable; urgency=low

  * repaired the management of source code in wiki pages
  * implemented management for "minted" LaTeX exports; supported attributes
    are "lang" and "line".

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Jan 2013 13:34:19 +0100

uicilibris (1.10-1) unstable; urgency=low

  * improved the management of quotes with non-breakable spaces
  * began to implement a postprocessing of math expressions, necessary
    at least for tabs in arrays
  * implemented automated labelling of sections
  * implemented the management of xrefs inside the document: wikilinks
    are now working if they are internal to the exported text.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 31 Dec 2012 01:36:54 +0100

uicilibris (1.9-1) unstable; urgency=low

  * improved the management of wiki tables with styles
  * improved the management of images provided by wiki templates
  * improved the management of punctuations with non-breakable spaces
  * changed the DEBEMAIL to georgesk@debian.org

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 29 Dec 2012 20:16:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: uicilibris
 Section: tex
 Priority: extra
-Maintainer: Georges Khaznadar <georgesk@ofset.org>
+Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python-all,
  pyqt4-dev-tools, qt4-linguist-tools
 Standards-Version: 3.9.3

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install:
	dh_auto_install
	# replace relative paths to system icons by absolute paths
	for f in $$(find debian/uicilibris/usr -name "Ui_*.py"); do \
	  sed 's%".*\(/usr/share/icons/Tango/.*\)"%"\1"%' $$f > $$f.tmp && mv $$f.tmp $$f; \
	done

## uicilibris 1.13

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	install -d $(DESTDIR)/usr/share/
 	cp -a uicilibris $(DESTDIR)/usr/share/
 	cp -a guide $(DESTDIR)/usr/share/uicilibris
+	ln -s /usr/share/javascript/jquery/jquery.min.js $(DESTDIR)/usr/share/uicilibris/guide
 	install -d $(DESTDIR)/usr/share/uicilibris/lang
 	install -m 644 uicilibris/lang/*.qm $(DESTDIR)/usr/share/uicilibris/lang
 	[ -f "guide/Poor_man_s_user_guide_for_UICI_LIBRIS.html" ] && \

=== uicilibris/Makefile ===
#	$Id: Makefile 38 2011-08-13 09:50:01Z georgesk $	

DESTDIR =

LRELEASE = lrelease-qt4
LUPDATE = pylupdate4

SOURCES = $(shell ls *.py| grep -v Ui_)
INTERFACES = $(shell ls *.ui)
PY_INTERFACES = $(patsubst %.ui, Ui_%.py, $(INTERFACES))

all: $(PY_INTERFACES) lang

lang:
	cd lang; $(LUPDATE) uicilibris.pro; $(LRELEASE) *.ts

svn-propset:
	svn propset svn:keywords "Id" $(SOURCES) $(INTERFACES) Makefile

clean:
	rm -f *~ *.pyc essai.* $(PY_INTERFACES)
	cd plugin; rm -f *~ *.pyc
	cd lang; rm -f *~ *.qm
	cd plugin_collection; rm -f *~ *.pyc

Ui_%.py: %.ui
	pyuic4 $< > $@

install:

URL_TEST = http://localhost/mediawiki/index.php/Essai_nécessaire_pour_le_développement_de_Wiki2many

#URL_TEST = http://localhost/mediawiki/index.php/ExpEYES

test:
	python __init__.py $(URL_TEST)

.PHONY: all clean install test svn-propset lang

=== uicilibris/images/Makefile ===
DESTDIR = 

SOURCES = uicilibris.svg

TARGETS = $(patsubst %.svg, %-64px.png, $(SOURCES))

all: $(TARGETS)

clean:
	rm -f $(TARGETS) *~

%-64px.png: %.svg
	rsvg -w 64 $< $@

install:
	install -d $(DESTDIR/images)
	install -m 644 $(TARGETS) $(DESTDIR/images)

.PHONY: all clean install

=== debian/changelog ===
uicilibris (1.13-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Build with dh-python instead of python-support.

  [ Georges Khaznadar ]
  * sent thanks to Mattia, rebuilt the package. Closes: #808195
  * repackaged the source to remove a potentially dangling symlink
  * upgraded Standards-Version to 3.9.6

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 17 Dec 2015 02:03:39 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python-all,
- pyqt4-dev-tools, qt4-linguist-tools
-Standards-Version: 3.9.3
+ pyqt4-dev-tools, qt4-linguist-tools, dh-python
+Standards-Version: 3.9.6
 Homepage: http://georges.khaznadar.fr/uicilibris
 
 Package: uicilibris

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ 
+	dh $@ --with python2
 
 override_dh_auto_install:
 	dh_auto_install
